Skip to content
Trade Password

Account No.

This interface is used to verify whether the login password of a specified securities account is correct. By providing the account number account_no and the encrypted login password password, it returns the verification result pass (Y for passed, N for failed).

POSThttps://b-api.longbridge.xyz/v1/whaleapi/account/auth_login_pwd

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Request body application/json

account_nostringrequired

Account Number. Account Number

passwordstringrequired

Encrypt Login Password. Encrypt Login Password

Responses

HTTP 200Success
Standard response envelopecodemessagedata
dataobjectdata structure

Data

passstringrequired

Pass or not. Pass or not

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs